px_open_fp
px_retrieve_record
Paradox Functions
PHP Manual

# px_put_record

Stores record into paradox database

### Description

bool px_put_record ( resource `$pxdoc` , array `$record` [, int `$recpos` = -1 ] )

Stores a record into a paradox database. The record is always added at the end of the database, regardless of any free slots. Use px_insert_record to add a new record into the first free slot found in the database.

### Parameters

`pxdoc`

  Resource identifier of the paradox database as returned by px_new.

`record`

  Associated or indexed array containing the field values as e.g. returned by px_retrieve_record.

`recpos`

  This optional parameter may be used to specify a record number greater than the current number of records in the database. The function will add as many empty records as needed. There is hardly any need for this parameter.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.